=== debian/changelog ===
pekka-kana-2 (1.2.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #933080)
  * debian/control:
    - Removed ${source:Version} from Depends.
  * debian/rules:
    + Added the DEB_BUILD_MAINT_OPTIONS variable to improve the GCC hardening.

 -- Carlos Donizete Froes <coringao@riseup.net>  Fri, 09 Aug 2019 00:58:45 -0300

pekka-kana-2 (1.2.2-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to ensure migration to testing.
  * Declare compliance with Debian Policy 4.4.0.
  * Switch to debhelper-compat = 12.

 -- Markus Koschany <apo@debian.org>  Mon, 22 Jul 2019 04:13:25 +0200

pekka-kana-2 (1.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #915073)

 -- Carlos Donizete Froes <coringao@riseup.net>  Wed, 06 Mar 2019 03:08:28 -0300
