=== debian/control ===
Source: pekka-kana-2
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Carlos Donizete Froes <coringao@riseup.net>
Build-Depends: debhelper-compat (= 12),
               libsdl2-dev,
               libsdl2-image-dev,
               libsdl2-mixer-dev
Standards-Version: 4.4.0
Homepage: https://pistegamez.net/game_pk2.html
Vcs-Browser: https://salsa.debian.org/games-team/pekka-kana-2
Vcs-Git: https://salsa.debian.org/games-team/pekka-kana-2.git

Package: pekka-kana-2
Architecture: any
Depends: pekka-kana-2-data, ${misc:Depends}, ${shlibs:Depends}
Description: 2D Oldschool platform game where you control a rooster
 Your mission in Pekka Kana 2 is to save Pekka's chicken friends
 from an evil crow.
 .
 The simple goal in each level is to find the exit sign, which is usually
 not that simple as it sounds because of enemies, traps, and quirky puzzles.

Package: pekka-kana-2-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: 2D Oldschool platform game where you control a rooster (data file)
 Your mission in Pekka Kana 2 is to save Pekka's chicken friends
 from an evil crow.
 .
 The simple goal in each level is to find the exit sign, which is usually
 not that simple as it sounds because of enemies, traps, and quirky puzzles.
 .
 This package contains data files required by the game Pekka Kana 2.
