## pekka-kana-2 1.2.5

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,9 @@
 # "make clean" - Removes all objects, executables and dependencies
 
 CXX = g++
-CXXFLAGS += $(shell pkg-config --cflags sdl2) -g -O2 -std=gnu++17 -Wno-write-strings
-LDFLAGS += $(shell pkg-config --libs sdl2) -lSDL2_mixer
+CXXFLAGS += $(shell pkg-config --cflags sdl2) -g -O2 -std=gnu++17 -fPIE \
+-D_FORTIFY_SOURCE=2 -Wno-unused-result -Wno-write-strings
+LDFLAGS += $(shell pkg-config --libs sdl2) -Wl,-z,relro -lSDL2_mixer
 
 # Defines directories
 SRC_DIR = src/
