=== debian/changelog ===
pekka-kana-2 (1.2.5-1) unstable; urgency=medium

  * New upstream release. FTCBFS bug fix. (Closes: #933080)
  * debian/control:
    + Bumped Standards-Version to 4.4.1.
    + Set Rules-Requires-Root to no.
  * debian/copyright:
    + Added copyright information for contact.

 -- Carlos Donizete Froes <coringao@riseup.net>  Mon, 16 Dec 2019 19:03:14 -0300

pekka-kana-2 (1.2.4-1) unstable; urgency=medium

  * New upstream release

 -- Carlos Donizete Froes <coringao@riseup.net>  Thu, 15 Aug 2019 22:36:32 -0300
