## pekka-kana-2 1.2.6

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,15 @@
 # Makefile command:
 # "make" - Creates Pekka Kana 2 binary
 # "make clean" - Removes all objects, executables and dependencies
+#
+# To put more focus on warnings, be less verbose as default
+# Use 'make V=1' to see the full commands
 
 CXX = g++
 CXXFLAGS += $(shell pkg-config --cflags sdl2) -g -O2 -std=gnu++17 -fPIE \
 -D_FORTIFY_SOURCE=2 -Wno-unused-result -Wno-write-strings
-LDFLAGS += $(shell pkg-config --libs sdl2) -Wl,-z,relro -lSDL2_mixer
+LDFLAGS += $(shell pkg-config --libs sdl2) -lSDL2_image -lSDL2_mixer \
+-pie -Wl,-z,relro
 
 # Defines directories
 SRC_DIR = src/
@@ -40,27 +44,43 @@
 DEPENDENCIES := $(basename $(DEPENDENCIES))
 DEPENDENCIES := $(addsuffix .d, $(DEPENDENCIES))
 
+# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
+# If KBUILD_VERBOSE equals 1 then the above command is displayed.
+ifeq ("$(origin V)", "command line")
+    KBUILD_VERBOSE = $(V)
+endif
+
+ifndef KBUILD_VERBOSE
+    KBUILD_VERBOSE = 0
+endif
+
+ifeq ($(KBUILD_VERBOSE),1)
+    Q =
+    else
+    Q = @
+endif
+
 pk2: makedirs $(PK2_BIN)
 
 # Rules for generate the binaries using the object files
 $(PK2_BIN): $(PK2_OBJ) $(PK2_SPRITE_OBJ) $(PK2_MAP_OBJ) $(ENGINE_OBJ)
 	@echo -Linking Pekka Kana 2
-	@$(CXX) $^ $(LDFLAGS) -o $@
+	$(Q)$(CXX) $(CXXFLAGS) $^ $(LDFLAGS) -o $@
 
 # Rules for generate any *.o file
 -include $(DEPENDENCIES)
 
 build/%.o : src/%.cpp
 	@echo -Some dependence of $@ was changed, updating
-	@$(CXX) $(CXXFLAGS) -I$(SRC_DIR) -o $@ -c $<
-	@$(CXX) -MM -MT $@ -I$(SRC_DIR) $< > build/$*.d
+	$(Q)$(CXX) $(CXXFLAGS) -I$(SRC_DIR) -o $@ -c $<
+	$(Q)$(CXX) $(CXXFLAGS) -MM -MT $@ -I$(SRC_DIR) $< > build/$*.d
 
 makedirs:
-	@mkdir -p $(BIN_DIR) >/dev/null
-	@mkdir -p $(BUILD_DIR) >/dev/null
+	$(Q)mkdir -p $(BIN_DIR) >/dev/null
+	$(Q)mkdir -p $(BUILD_DIR) >/dev/null
 
 clean:
-	@rm -rf $(BIN_DIR)
-	@rm -rf $(BUILD_DIR)
+	$(Q)rm -rf $(BIN_DIR)
+	$(Q)rm -rf $(BUILD_DIR)
 
 .PHONY: pk2 clean makedirs
