=== debian/changelog ===
pekka-kana-2 (1.2.6-1) unstable; urgency=medium

  * New upstream release. FTBFS bug fix. (Closes: #952049)
  * debian/control:
    + Bumped Standards-Version to 4.5.0.
  * debian/copyright:
    + Copyright information organized for contacts.
    + Copyright updated for current years (2020).
  * Update debian/upstream/metadata years (2020).
  * debian/rules:
    + override_dh_auto_build added to show the build.

 -- Carlos Donizete Froes <coringao@riseup.net>  Tue, 25 Feb 2020 19:58:48 -0300
