=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libsdl2-dev,
                libsdl2-image-dev,
                libsdl2-mixer-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://pistegamez.net/game_pk2.html
 Vcs-Browser: https://salsa.debian.org/games-team/pekka-kana-2
