=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
  https://gitlab.com/coringao/pekka-kana-2/tags \
  .*/pekka-kana-2-(\d\S+)\.(?:tar\.(?:gz|bz2))
