## pekka-kana-2 1.2.7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 # Pekka Kana 2 by Janne Kivilahti from Piste Gamez (2003-2007)
 # https://pistegamez.net/game_pk2.html
+#
+# Individual work by Carlos Donizete Froes [a.k.a coringao] (2018-2020).
 #
 # This public release and rewritten is governed by a BSD-2-clause license.
 #
@@ -11,15 +13,16 @@
 # Use 'make V=1' to see the full commands
 
 CXX = g++
-CXXFLAGS += $(shell pkg-config --cflags sdl2) -g -O2 -std=gnu++17 -fPIE \
--D_FORTIFY_SOURCE=2 -Wno-unused-result -Wno-write-strings
-LDFLAGS += $(shell pkg-config --libs sdl2) -lSDL2_image -lSDL2_mixer \
+PKG_CONFIG ?= pkg-config
+CXXFLAGS += $(shell $(PKG_CONFIG) --cflags sdl2) -g -O2 -std=gnu++17 \
+-D_FORTIFY_SOURCE=2 -fPIE -Wno-unused-result -Wno-write-strings
+LDFLAGS += $(shell $(PKG_CONFIG) --libs sdl2 SDL2_image SDL2_mixer) \
 -pie -Wl,-z,relro
 
 # Defines directories
-SRC_DIR = src/
 BIN_DIR = bin/
 BUILD_DIR = build/
+SRC_DIR = src/
 
 # Defines the engine and src used in main codes
 ENGINE_SRC  = $(wildcard $(SRC_DIR)*.cpp)
@@ -38,7 +41,7 @@
 PK2_OBJ = $(BUILD_DIR)pk2.o
 
 # Defines the destination of each binary file
-PK2_BIN = $(BIN_DIR)/pekka-kana-2
+PK2_BIN = $(BIN_DIR)pekka-kana-2
 
 DEPENDENCIES := $(PK2_OBJ) $(PK2_SPRITE_OBJ) $(PK2_MAP_OBJ) $(ENGINE_OBJ)
 DEPENDENCIES := $(basename $(DEPENDENCIES))
