=== debian/changelog ===
pekka-kana-2 (1.2.7-1) unstable; urgency=medium

  * New upstream release. FTCBFS bug fix. (Closes: #933080)
    + Integrated support fixed for pkg-config.
  * debian/control:
    + Bump debhelper compat to version 13.
  * Added debian/docs.

 -- Carlos Donizete Froes <coringao@riseup.net>  Sun, 01 Nov 2020 00:41:34 -0300
