=== mingw/x86_64/Makefile ===

PLAT = x86_64

OPT = -O2

CXX = $(PLAT)-w64-mingw32-g++
WINRES = $(PLAT)-w64-mingw32-windres

BIN_SRC = /usr/local/$(PLAT)-w64-mingw32/bin/
INC_SRC = /usr/local/$(PLAT)-w64-mingw32/include/
LIB_SRC = /usr/local/$(PLAT)-w64-mingw32/lib/

-include ../mingw.mk
