=== debian/changelog ===
pekka-kana-2 (1.4.5+ds-2) unstable; urgency=medium

  * Re-add applicable parts for the FTCBFS patch (Closes: #933080).

 -- Tobias Frost <tobi@debian.org>  Sat, 21 Sep 2024 12:23:56 +0200

pekka-kana-2 (1.4.5+ds-1) unstable; urgency=medium

  * New upstream release. (Closes: #1079933)
  * Switching to more active upstream fork of daniloc.
    - Update d/watch (Closes: #1079937) 
    - Add Files-Excluded to d/copyright for repacking, removing
      embedded code copies and android port files.
    - Add patches to make the new version working.
    - Update d/upstream/metadata to new upstream.
    - Update d/copyright to new upstream.
    - Drop old signing key from previous upstream.
  * Add gbp.conf to ensure signed tags and pristine-tar.
  * Update install files and move all arch independent files
    to the arch:all package.
  * Add myself to Uploaders, remove inactive previous maintainer.
  * Bump SV to 4.7.0 - no changes required.
  * Add lintian overrides where resources are mistaken as documentation.

 -- Tobias Frost <tobi@debian.org>  Fri, 20 Sep 2024 16:50:10 +0200
