=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Carlos Donizete Froes <coringao@riseup.net>
-Build-Depends: debhelper-compat (= 13),
+Uploaders: Tobias Frost <tobi@debian.org>
+Build-Depends: debhelper-compat (= 12),
                libsdl2-dev,
                libsdl2-image-dev,
                libsdl2-mixer-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://pistegamez.net/game_pk2.html
+Homepage: https://danilolc.itch.io/pekka-kana-2
 Vcs-Browser: https://salsa.debian.org/games-team/pekka-kana-2
 Vcs-Git: https://salsa.debian.org/games-team/pekka-kana-2.git
 
 Package: pekka-kana-2
 Architecture: any
-Depends: pekka-kana-2-data, ${misc:Depends}, ${shlibs:Depends}
+Depends: pekka-kana-2-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: 2D Oldschool platform game where you control a rooster
  Your mission in Pekka Kana 2 is to save Pekka's chicken friends
  from an evil crow.
@@ -24,6 +24,8 @@
  not that simple as it sounds because of enemies, traps, and quirky puzzles.
 
 Package: pekka-kana-2-data
+Breaks: pekka-kana-2 (<< 1.4.5+ds-1)
+Replaces: pekka-kana-2 (<< 1.4.5+ds-1)
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
