=== debian/watch ===
version=4
opts=repack,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds \
https://github.com/danilolc/pk2/tags .*/v?(\d.*)@ARCHIVE_EXT@
